@import (reference) "../helpers/_var";
@import (reference) "../fonts/_icons";

.menu-list-section {
  & {
    position: relative;
    margin: 0 auto;
    font-size: 24px;
    font-family: @font_primary;

    @media (max-width: @screen_desktop) {
      font-size: 20px;
    }
  }

  a:hover,
  a.-active {
    color: @second_color;
  }

  .header-menu {
    & {
      max-height: 200px;
      margin: 0 0 0 auto;
      display: flex;
      align-items: center;

      @media (max-width: @screen_tablet) {
        position: fixed;
        flex-direction: column;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        background: @bg_form;
        z-index: 9;
        padding: 70px 0;
        justify-content: space-between;
        overflow-y: scroll;

        &:not(.-active) {
          display: none;
        }
      }
    }

    .-close {
      & {
        display: none;
      }

      @media (max-width: @screen_tablet) {
        display: block;
        font-size: 18px;
        line-height: 10px;
        color: #fff;
      }
    }

    .menu-list {
      display: flex;
      flex-wrap: wrap;
      justify-content: space-between;
      align-items: center;
    }

    .menu-list > .item {
      &:not(:last-child) {
        margin-right: 70px;

        @media (max-width: @screen_desktop) {
          margin-right: 30px;
        }
      }

      &:hover .submenu {
        align-items: center;

        @media (min-width: @screen_tablet) {
          display: flex;
          flex-wrap: wrap;
          flex-direction: column;
          align-items: flex-start;
          font-size: 16px;
        }
      }

      &.-parent > a:after {
        .icon-down-arrow;

        font-size: 10px;
        display: flex;
        align-items: center;
        height: 24px;
      }

      &.-parent > a {
        @media (max-width: @screen_tablet) {
          opacity: 0;
          }
        }

      > a {
        position: relative;
        display: flex;
        justify-content: center;
        align-items: flex-end;
        padding: 0 0 15px;
      }
    }
  }

  .submenu {
    & {
      font-size: 18px;
      padding: 0;
      display: flex;
      align-items: center;
      flex-direction: column;

      @media (min-width: @screen_tablet) {
        max-height: 300px;
        position: absolute;
        left: 0;
        right: 0;
        top: 100%;
        background: #EFEFF4;
        display: none;
        padding: 40px;
        font-size: 16px;
        font-family: @font_primary;
        z-index: 3;
        line-height: 1.8;
        color: @primary_color;
      }
    }

    li {
      @media (max-width: @screen_tablet) {
        padding: 0 0 15px;
        font-size: 20px;
        text-align: center;
      }
    }
  }
}

